Installing fails on ubuntu 16.10 when root partition is chosen as btrfs file system.

Bug #1605399 reported by bugproxy on 2016-07-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
partman-btrfs (Ubuntu)
Critical
Dimitri John Ledkov

Bug Description

== Comment: #0 - Sandeep K - 2016-07-21 03:04:51 ==
Issue :

Installing fails on ubuntu 16.10 when root partition is chosen as btrfs file system.

Environment : Tuleta_NV ppc64le

Steps to reproduce :

1. Trigger the installation
2. While coming to partitioning step, choose manual partitioning.
3. Choose root system as btrfs file system.
4. Finish partitioning
5. Displays error like "no root system is defined."

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-143983 severity-critical targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → debian-installer (Ubuntu)
Steve Langasek (vorlon) on 2016-07-21
Changed in debian-installer (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Dimitri John Ledkov (xnox)
Dimitri John Ledkov (xnox) wrote :

Jul 21 06:36:51 partman: Error running 'tune2fs -l /dev/sdj1'
Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1 on /tmp/tmp.xUc5r3 failed: Invalid argument
Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1 on /tmp/tmp.rmYCoq failed: Invalid argument
Jul 21 06:37:18 main-menu[3165]: (process:15799): 0
Jul 21 06:37:18 main-menu[3165]: (process:15799): 0
Jul 21 06:37:18 main-menu[3165]: (process:15799): cat: can't open '959736446976-1000204140543/filesystem': No such file or directory
Jul 21 06:37:18 main-menu[3165]: (process:15799): tune2fs: Bad magic number in super-block while trying to open /dev/sdj1
Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1 on /tmp/tmp.ns54I0 failed: Invalid argument
Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1 on /tmp/tmp.MOY7M5 failed: Invalid argument
Jul 21 06:37:18 main-menu[3165]: (process:15799): 0

/lib/partman/choose_partition/35crypto/choices: paragraph: 1 1048576-8388607 7340032 primary ext2 /dev/sdj1

so, ext2 partition (/boot ?) fails to mount, something odd is going on. Will look more into this later today.

------- Comment From <email address hidden> 2016-07-22 16:31 EDT-------
(In reply to comment #6)
> Jul 21 06:36:51 partman: Error running 'tune2fs -l /dev/sdj1'
> Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1
> on /tmp/tmp.xUc5r3 failed: Invalid argument
> Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1
> on /tmp/tmp.rmYCoq failed: Invalid argument
> Jul 21 06:37:18 main-menu[3165]: (process:15799): 0
> Jul 21 06:37:18 main-menu[3165]: (process:15799): 0
> Jul 21 06:37:18 main-menu[3165]: (process:15799): cat: can't open
> '959736446976-1000204140543/filesystem': No such file or directory
> Jul 21 06:37:18 main-menu[3165]: (process:15799): tune2fs: Bad magic number
> in super-block while trying to open /dev/sdj1
> Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1
> on /tmp/tmp.ns54I0 failed: Invalid argument
> Jul 21 06:37:18 main-menu[3165]: (process:15799): mount: mounting /dev/sdj1
> on /tmp/tmp.MOY7M5 failed: Invalid argument
> Jul 21 06:37:18 main-menu[3165]: (process:15799): 0
>
> /lib/partman/choose_partition/35crypto/choices: paragraph: 1 1048576-8388607
> 7340032 primary ext2 /dev/sdj1
>
> so, ext2 partition (/boot ?) fails to mount, something odd is going on. Will
> look more into this later today.

Interesting. Is there a requirement to have a separate ext2 based /boot filesystem when using btrfs? If so, that's probably the key issue here. I would think that sdj1 is the PReP partition in the above case.

bugproxy (bugproxy) on 2016-07-25
tags: added: targetmilestone-inin1610
removed: targetmilestone-inin---

------- Comment on attachment From <email address hidden> 2016-07-26 03:09 EDT-------

I tried to install using btrfs as / and without boot partition, but still btrfs is not detected as root. Attached are the screen shots of the same.

Dimitri John Ledkov (xnox) wrote :

Regression in 21ubuntu1 upload resulted in fstab.d/btrfs script to stop being marked as executable, failing to validate prepared partition map, and to install anything btrfs formatted.

affects: debian-installer (Ubuntu) → partman-btrfs (Ubuntu)
Changed in partman-btrfs (Ubuntu):
importance: Undecided → Critical
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-btrfs - 21ubuntu2

---------------
partman-btrfs (21ubuntu2) yakkety; urgency=medium

  * Mark fstab.d/btrfs as executable, otherwise partman fails to install
    anything with btrfs. LP: #1605399.

 -- Dimitri John Ledkov <email address hidden> Wed, 27 Jul 2016 13:03:46 +0100

Changed in partman-btrfs (Ubuntu):
status: Triaged → Fix Released
Dimitri John Ledkov (xnox) wrote :

Note, server images need to be respun to include the above fix. Earliest image builds with the fix will have serial / datestamp 20160728 or later.

Default Comment by Bridge

------- Comment on attachment From <email address hidden> 2016-07-26 03:09 EDT-------

I tried to install using btrfs as / and without boot partition, but still btrfs is not detected as root. Attached are the screen shots of the same.

Dimitri John Ledkov (xnox) wrote :

Hello,

in the log attached, old partman-btrfs is still in use. The fixed partman-btrfs is 21ubuntu2, in the logs 21ubuntu1 is in use. Also logs are dated 21st of July. Is that the right logs? Or is it just a duplicated mirror of logs.

If you are using a CD you need to update to a CD build that was built after 20160728. If you are using an internal mirror, please check that it has partman-btrfs 21ubuntu2 serving.

Do you have new logs?

Regards,

Dimitri.

Kevin W. Rudd (kevinr) wrote :

Sorry. It appears that our bridge is acting up again. That last attachment was a repeat from July 26.

Kevin W. Rudd (kevinr) wrote :

Make that a repeat from July 21.

------- Comment From <email address hidden> 2016-08-03 10:16 EDT-------
From recent testing of 20101020ubuntu468:

"HI the latest ubuntu release has no problem running with btrfs as /."

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers